## ros-iron-moveit-setup-assistant 2.8.0

=== debian/changelog ===
ros-iron-moveit-setup-assistant (2.8.0-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 09 Sep 2023 22:00:00 -0000

ros-iron-moveit-setup-assistant (2.7.4-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 17 May 2023 22:00:00 -0000

ros-iron-moveit-setup-assistant (2.7.3-1jammy) jammy; urgency=high

  * Replace Variable PROJECT_NAME in CMakeLists.txt with the actual name (#2020 <https://github.com/ros-planning/moveit2/issues/2020>)
  * Contributors: Shobuj Paul

 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 23 Apr 2023 22:00:00 -0000

ros-iron-moveit-setup-assistant (2.7.2-1jammy) jammy; urgency=high

  * Update pre-commit (#2094 <https://github.com/ros-planning/moveit2/issues/2094>)
  * Contributors: Shobuj Paul

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 17 Apr 2023 22:00:00 -0000

ros-iron-moveit-setup-assistant (2.7.1-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 22 Mar 2023 23:00:00 -0000

ros-iron-moveit-setup-assistant (2.7.0-1jammy) jammy; urgency=high

  * Fix BSD license in package.xml (#1796 <https://github.com/ros-planning/moveit2/issues/1796>)
    * fix BSD license in package.xml
    * this must also be spdx compliant
  * Minimize use of this-> (#1784 <https://github.com/ros-planning/moveit2/issues/1784>)
    It's often unnecessary. MoveIt already avoids this in most cases
    so this PR better cements that existing pattern.
  * Add braces around blocks. (#999 <https://github.com/ros-planning/moveit2/issues/999>)
  * Use <> for non-local headers (#1734 <https://github.com/ros-planning/moveit2/issues/1734>)
    Unless a header lives in the same or a child directory of the file
    including it, it's recommended to use <> for the #include statement.
    For more information, see the C++ Core Guidelines item SF.12
    https://isocpp.github.io/CppCoreGuidelines/CppCoreGuidelines#sf12-prefer-the-quoted-form-of-include-for-files-relative-to-the-including-file-and-the-angle-bracket-form-everywhere-else
  * Fix clang-tidy issues (#1706 <https://github.com/ros-planning/moveit2/issues/1706>)
    * Blindly apply automatic clang-tidy fixes
    * Exemplarily cleanup a few automatic clang-tidy fixes
    * Clang-tidy fixups
    * Missed const-ref fixups
    * Fix unsupported non-const -> const
    * More fixes
    Co-authored-by: Henning Kayser <mailto:henningkayser@picknik.ai>
  * Contributors: Chris Thrasher, Christian Henkel, Cory Crean, Robert Haschke

 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 28 Jan 2023 23:00:00 -0000

ros-iron-moveit-setup-assistant (2.6.0-1jammy) jammy; urgency=high

  * Improve CMake usage (#1550 <https://github.com/ros-planning/moveit2/issues/1550>)
  * Contributors: Sebastian Jahr

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 09 Nov 2022 23:00:00 -0000

ros-iron-moveit-setup-assistant (2.5.3-1jammy) jammy; urgency=high

  * Organize package xml of MSA (#1454 <https://github.com/ros-planning/moveit2/issues/1454>)
  * Contributors: Vatan Aksoy Tezer

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 27 Jul 2022 22:00:00 -0000

ros-iron-moveit-setup-assistant (2.5.2-1jammy) jammy; urgency=high

  * [MSA] Testing Framework for MoveItSetupAssistant (#1383 <https://github.com/ros-planning/moveit2/issues/1383>)
  * Merge pull request #1254 <https://github.com/ros-planning/moveit2/issues/1254> from ros-planning/feature/msa
    MoveIt Setup Assistant - Merge the Feature branch
  * Fix compile issues
  * Merge remote-tracking branch 'upstream/main' into feature/msa
  * [MSA] ros2_control Integration (#1299 <https://github.com/ros-planning/moveit2/issues/1299>)
  * [MSA] Workaround to launch files without controllers (#1275 <https://github.com/ros-planning/moveit2/issues/1275>)
  * [MSA] PR Feedback
  * [MSA] Initial Controllers and Simulation Steps Port (#1252 <https://github.com/ros-planning/moveit2/issues/1252>)
  * [MSA] Launch Updates (#1247 <https://github.com/ros-planning/moveit2/issues/1247>)
  * [MSA] Merge main into feature/msa (Part II) (#1240 <https://github.com/ros-planning/moveit2/issues/1240>)
  * [MSA] Three small edits (#1203 <https://github.com/ros-planning/moveit2/issues/1203>)
  * [MSA] Add Setup Step for Generating Launch Files (#1129 <https://github.com/ros-planning/moveit2/issues/1129>)
  * [MSA] Fix arg parsing in main (#1110 <https://github.com/ros-planning/moveit2/issues/1110>)
  * [MSA] Simplify loading of new SRDF (#1102 <https://github.com/ros-planning/moveit2/issues/1102>)
  * [MSA] SRDF Setup (#1057 <https://github.com/ros-planning/moveit2/issues/1057>)
  * [MSA] Navigation Widget Fixes (#1054 <https://github.com/ros-planning/moveit2/issues/1054>)
  * [MSA] Initial Refactor
  * [MSA] Move Files Around (split into multiple packages, change to hpp extension)
  * Contributors: David V. Lu!!, Vatan Aksoy Tezer

 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 17 Jul 2022 22:00:00 -0000

ros-iron-moveit-setup-assistant (2.5.1-1jammy) jammy; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 30 May 2022 22:00:00 -0000

ros-iron-moveit-setup-assistant (2.5.0-1jammy) jammy; urgency=high

  * Make moveit_common a 'depend' rather than 'build_depend' (#1226 <https://github.com/ros-planning/moveit2/issues/1226>)
  * Avoid bind(), use lambdas instead (#1204 <https://github.com/ros-planning/moveit2/issues/1204>)
    Adaption of https://github.com/ros-planning/moveit/pull/3106
  * banish bind()
    source:https://github.com/ros-planning/moveit/pull/3106/commits/a2911c80c28958c1fce8fb52333d770248c4ec05; required minor updates compared to original source commit in order to ensure compatibility with ROS2
  * Merge https://github.com/ros-planning/moveit/commit/424a5b7b8b774424f78346d1e98bf1c9a33f0e78
  * Merge #3081 <https://github.com/ros-planning/moveit2/issues/3081>: Improve Gazebo-compatible URDF generation in MSA
  * Add inertial/origin tag
  * Don't overwrite existing attributes

